Bug 1749375 - Selinux prevents setting timezone via timedatectl, prevents write to /etc/localtime
Summary: Selinux prevents setting timezone via timedatectl, prevents write to /etc/loc...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-05 13:29 UTC by Sanne Raymaekers
Modified: 2020-11-24 20:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 20:26:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Sanne Raymaekers 2019-09-05 13:29:46 UTC
Selinux prevents setting timezone via timedatectl.


timedatectl set-timezone Europe/Helsinki

> Failed to set time zone: Failed to update /etc/localtime

audit: type=1400 audit(1567689788.617:317): avc:  denied  { write } for  pid=7096 comm="timedatex" name="etc" dev="dm-0" ino=130051 scontext=system_u:system_r:timedatex_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=dir permissive=0

Comment 1 Lukas Vrabec 2019-09-06 15:34:48 UTC
commit e4e2b0f8cf8b73680b47740f99412401af8868a3 (HEAD -> rawhide, origin/rawhide, origin/HEAD)
Author: Lukas Vrabec <lvrabec>
Date:   Fri Sep 6 17:31:25 2019 +0200

    Update timedatex policy to manage localization
    
    Allow timedatex_t domain to manage localization files
    Allow timedatex_t domain to create localization files with proper
    SELinux label (locale_t)
    Resolves: rhbz#1749375

Comment 2 Fedora Update System 2019-10-04 13:35:22 UTC
FEDORA-2019-64732fd6a5 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-64732fd6a5

Comment 3 Fedora Update System 2019-10-04 22:51:05 UTC
selinux-policy-3.14.4-36.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-64732fd6a5

Comment 4 Fedora Admin XMLRPC Client 2020-01-23 16:23:58 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 5 Ben Cotton 2020-11-03 15:33:19 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-11-24 20:26:03 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.